BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define	jarname		carol_irmi


Name:		carol-irmi
Summary:	IRMI: Intercepting RMI implementation for the Java platform
Url:		http://carol.objectweb.org/
Version:	1.0.1
Release:	alt1_1jpp1.7
Epoch:		0
License:	LGPL
Group:		Development/Java
BuildArch:	noarch
Source0:	carol-irmi-%{version}-src.tar.gz

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: commons-collections >= 3.1
Requires: commons-collections >= 3.1

%description
The irmi package is a JDK agnostic RMI implementation supporting
pluggable interceptors and local call optimization. It uses standard
JRMP stubs and uses the javax.rmi.CORBA.PortableRemoteObjectDelegate
interface to plug into any JDK. This implementation may be enabled by
setting the system property named javax.rmi.CORBA.PortableRemoteObjectClass
to the value "org.objectweb.carol.irmi.PRO".


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -qq -n irmi
chmod -R go=u-w *

find . -name "*.jar" \
       -exec rm -f {} \;

%build
build-jar-repository externals commons-collections

ant test jar javadoc

%install
                                                                                
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 build/irmi.jar \
        $RPM_BUILD_ROOT%{_javadir}/ow_%{jarname}-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf ow_%{jarname}-%{version}.jar ow_%{jarname}.jar
popd

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/ow_%{jarname}.jar
%{_javadir}/ow_%{jarname}-%{version}.jar


%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Jul 02 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0.1-alt1_1jpp1.7
- converted from JPackage by jppimport script

